You can sign up to get a daily email of our articles, see the Mailing List page!
Support me on Patreon to keep GamingOnLinux alive. Funding me on Patreon allows us to have no adverts, no paywalls, no timed articles. Just good content for you to keep up with Linux gaming. Alternatively, you can support me on Paypal.
Cossack 3 : AMD + Mesa 17.2-rc4
berillions commented on 16 August 2017 at 9:40 pm UTC

Hi,

I bought Cossack 3 on Steam but it does not work. Someone has succeeded to run this game with an AMD videocards + latest Mesa version ?
And very important question : Do you succeeded to run the game with this conf on an other OS than Ubuntu ?

Because for me on Gentoo, the game crash when i see the splash screen and nothing else.
I see that the required configuration wants OpenGL 3.2+ and when i launch glxinfo | grep "OpenGL version", i have this result :
OpenGL version string: 3.0 Mesa 17.2.0-rc4

Do you think i need to set "MESA_GL_VERSION_OVERRIDE=3.3COMPAT %command%" in Steam option ?

radube commented on 17 August 2017 at 3:02 pm UTC

Hi,
I don't have the game and I'm not sure to be able to help you a lot, but still...

What is the exact model of your GPU?
Anyway I don't think the OpenGL version would be the problem. Normally when they mention OpenGL version as a requirement (without anymore explanation) they mean by this OpenGL core profile version (not compatibility version as you have shown). You can try in terminal typing only glxinfo | grep OpenGL and you'll see more results about it.

Don't you have any error message when trying to launch the game? If not you can try launching Steam from the terminal and then when launching the game in the terminal you should see some errors popping out.

Maybe the game can't find some libraries?

Due to spam you need to Register and Login to comment.


Or login with...

Popular this week
View by Category
Contact
Latest Forum Posts
Facebook